View Issue Details

IDProjectCategoryView StatusLast Update
0000887PluginsTemporary panelpublic2009-10-27 18:25
ReporterJohnDoeAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2.0 
Summary0000887: Реакция на отсутствие файла-списка
DescriptionЕсли указать указанный в коммандной строке файл-список отсутствует (например имя указано с ошибкой), то реакция точно такая же как будто файл есть, но пустой.

Это легко может ввести пользователя в заблуждение, особенно в случае если на панели уже было множество элементов: ведь не всегда можно заметить что ничего нового не добавилось.

Предлагаю в таких случаях выдавать диалог Error
TagsNo tags attached.

Activities

JohnDoe

2009-05-28 20:36

updater   bugnote:0003333

Выяснились дополнительные подробности.
Как оказалось этот виш надо было оформлять багом:

Если даже указать полный путь к файлу-списку, и этого файла там не окажется, но где-то в %FARHOME%, %PATH%, etc будет присутствовать одноимённый файл, то откроется одноимённый.

Например:
Нет файла "C:\Program files\list"
Но есть %FARHOME%\list

tmp:"C:\Program files\list"
Открывается почему-то %FARHOME%\list

alexy

2009-10-27 00:20

administrator   bugnote:0004343

fixed. build 63.
Ошибку показывать не будем, просто не будем открывать панель плагина.

JohnDoe

2009-10-27 18:15

updater   bugnote:0004362

Традиционно стандартные плагины молча игнорируют ошибки. Это привычно, но неудобно.
Почему бы не показать ошибку?

alexy

2009-10-27 18:25

administrator   bugnote:0004363

Лень. Да и смысла особо нет, то что плагин не открылся и так понятно что была ошибка.

Issue History

Date Modified Username Field Change
2009-05-28 19:59 JohnDoe New Issue
2009-05-28 20:36 JohnDoe Note Added: 0003333
2009-10-23 15:46 alexy Project Wishes.Plugins => Plugins
2009-10-27 00:20 alexy Note Added: 0004343
2009-10-27 00:20 alexy Assigned To => alexy
2009-10-27 00:20 alexy Status new => feedback
2009-10-27 18:15 JohnDoe Note Added: 0004362
2009-10-27 18:25 alexy Note Added: 0004363
2009-10-27 18:25 alexy Status feedback => closed
2009-10-27 18:25 alexy Fixed in Version => 2.0
2009-10-27 18:25 alexy Resolution open => fixed